GoboLinux bug tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000130Scripts(No Category)public2007-08-22 07:582009-05-10 03:06
Reportermohjive 
Assigned Todetsch 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000130: CheckDependencies does not support '<' operator
DescriptionWhen running CheckDependencies on an application that has a highest version defined in the Dependencies file CheckDependencies returns a higher version than the specified version, if available.
Additional InformationAn example:

CheckDependencies $noweb --types=recipe,official_package --mode=all --quiet-progress --no-recursive --no-blacklist --no-compatlist KDE-Bindings 3.5.7 recipe /Files/Compile/LocalRecipes/KDE-Bindings/3.5.7
Doxygen 1.5.1 recipe /Files/Compile/LocalRecipes/Doxygen/4.5.1
Fontconfig 2.4.2-r1 recipe /Files/Compile/Recipes/Fontconfig/2.4.2-r1
KDE-Base 3.5.7 recipe /Files/Compile/LocalRecipes/KDE-Base/3.5.7
KDE-Libs 3.5.7 recipe /Files/Compile/LocalRecipes/KDE-Libs/3.5.7
LibXML2 2.6.27-r1 recipe /Files/Compile/Recipes/LibXML2/2.6.27-r1
LibXSLT 1.1.20-r1 recipe /Files/Compile/Recipes/LibXSLT/1.1.20-r1
Perl 5.8.8-r3 recipe http://gobolinux.org/recipe-store/Perl--5.8.8-r3--recipe.tar.bz2 [^]
Python 2.5.1-r1 recipe http://gobolinux.org/recipe-store/Python--2.5.1-r1--recipe.tar.bz2 [^]
Qt 4.3.1 recipe /Files/Compile/LocalRecipes/Qt/4.3.1
Xorg 7.2 recipe /Files/Compile/LocalRecipes/Xorg/7.2
ZLib 1.2.3 recipe /Files/Compile/LocalRecipes/ZLib/1.2.3

Here Qt 4.3.1 is returned, even though KDE-Bindings explicity states that version has to be below 4.0 ('Qt >= 3.3.2 < 4.0'). Haven't tested with '<=', but that might be a problem as well.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000958)
Michael (developer)
2009-05-10 03:06

This is fixed as of a few releases ago, from the rework of multi-dependencies.
(0000959)
Michael (developer)
2009-05-10 03:06

This is fixed as of a few releases ago, from the rework of multi-dependencies.

- Issue History
Date Modified Username Field Change
2007-08-22 07:58 mohjive New Issue
2007-08-22 07:58 mohjive Status new => assigned
2007-08-22 07:58 mohjive Assigned To => detsch
2008-09-20 12:49 mohjive Category => (No Category)
2009-05-10 03:06 Michael Note Added: 0000958
2009-05-10 03:06 Michael Status assigned => resolved
2009-05-10 03:06 Michael Resolution open => fixed
2009-05-10 03:06 Michael Note Added: 0000959


Copyright © 2000 - 2017 MantisBT Team
GoboLinux Bug Tracker